# afterProject

abstract fun afterProject(closure: Closure)

Adds a closure to be called immediately after a project is evaluated. The project is passed to the closure as the first parameter. The project evaluation failure, if any, is passed as the second parameter. Both parameters are optional.

#### Parameters

closure

The closure to execute.

abstract fun afterProject(action: Action<in Project>)

Adds an action to be called immediately after a project is evaluated.

#### Since

3.4

#### Parameters

action

The action to execute.